/* SPDX-License-Identifier: GPL-2.0+ */
/*
 * Configuration for Mediatek Android based boards
 *
 * Copyright (C) 2024 BayLibre, SAS
 * Author: Vitor Sato Eschholz <vsatoes@baylibre.com>
 */

#ifndef __MEDIATEK_GENIO_H
#define __MEDIATEK_GENIO_H

#ifdef CONFIG_TARGET_MT8365
#include <configs/mt8365.h>
#endif

#ifdef CONFIG_TARGET_MT8188
#include <configs/mt8188.h>
#endif

#ifndef CONFIG_SPL
#define READ_KERNEL_MMC \
	"part start mmc ${mmcdev} kernel kernel_part_addr; " \
	"part size mmc ${mmcdev} kernel kernel_part_size; " \
	"mmc read ${kernel_addr_r} ${kernel_part_addr} ${kernel_part_size}; "

#define FORCE_MMC_BOOT \
	"bootm ${kernel_addr_r}${boot_conf}"

#ifdef CFG_EXTRA_ENV_SETTINGS
#undef CFG_EXTRA_ENV_SETTINGS
#endif
#define CFG_EXTRA_ENV_SETTINGS \
	"scriptaddr=0x40000000\0" \
	"fdt_addr_r=0x44000000\0" \
	"fdtoverlay_addr_r=0x44c00000\0" \
	"kernel_addr_r=0x45000000\0" \
	"ramdisk_addr_r=0x46000000\0" \
	"fdtfile=" CONFIG_DEFAULT_DEVICE_TREE ".dtb\0" \
	"boot_conf=#conf-mediatek_" CONFIG_DEFAULT_DEVICE_TREE ".dtb\0" \
	"force_mmc_boot=" READ_KERNEL_MMC \
	                  "setenv bootargs \"${bootargs} root=PARTLABEL=rootfs rootwait \" ; " \
	                  FORCE_MMC_BOOT "\0" \
	BOOTENV
#endif

#endif
