/* SPDX-License-Identifier: GPL-2.0+ */
/*
 * Configuration for MT8365 based boards
 *
 * Copyright (C) 2021 BayLibre, SAS
 * Author: Fabien Parent <fparent@baylibre.com
 */

#ifndef __MT8365_H
#define __MT8365_H

#include <linux/sizes.h>

#define CFG_MALLOC_F_ADDR		0x50000000

#define CFG_SYS_NS16550_SERIAL
#define CFG_SYS_NS16550_REG_SIZE	-4
#define CFG_SYS_NS16550_MEM32
#define CFG_SYS_NS16550_COM1		0x11005200
#define CFG_SYS_NS16550_CLK		26000000

/* Environment settings */
#ifndef CONFIG_SPL
#include <config_distro_bootcmd.h>

#define BOOT_TARGET_DEVICES(func) \
	func(MMC, mmc, 0)

#define CFG_EXTRA_ENV_SETTINGS \
	"scriptaddr=0x40000000\0" \
	"fdt_addr_r=0x44000000\0" \
	"fdtoverlay_addr_r=0x44c00000\0" \
	"kernel_addr_r=0x45000000\0" \
	"ramdisk_addr_r=0x46000000\0" \
	"fdtfile=" CONFIG_DEFAULT_DEVICE_TREE ".dtb\0" \
	BOOTENV

#define CONFIG_SETUP_MEMORY_TAGS
#endif

#endif	//__MT8365_H
